#include "pgm.decl.h"

#define MSIZE 1024

class Iter : public CMessage_Iter {
  public:
    char data[MSIZE];
};

class main : public Chare {
  private:
    CProxy_main *pm;
    double startTime, endTime;
    int total, niter;
  public:
    main(CkMigrateMessage *m) {}
    main(CkArgMsg *);
    void iteration(Iter *);
};
